Itoo Software Forum

Author Topic: Railclone for Vray 3.6  (Read 725 times)

QE2393

  • Newbie
  • *
  • Posts: 21
Railclone for Vray 3.6
« on: June 29, 2017, 11:16:58 PM »
Does the Railclone 3.05 beta support Vray 3.6?

QE2393

  • Newbie
  • *
  • Posts: 21
Re: Railclone for Vray 3.6
« Reply #1 on: June 30, 2017, 12:33:39 AM »
Nevermind. I see that the Announcements page says the beta has support. 

You should put a link to Release Notes on the software download page.  It would make it easier to understand what's been updated/supported.

iToo

  • Administrator
  • Hero Member
  • *****
  • Posts: 3094
    • iToo Software
Re: Railclone for Vray 3.6
« Reply #2 on: June 30, 2017, 08:47:15 AM »
Thanks for your suggestion. I will add it to our to-do list for the User Panel.

You can find the release notes for all versions here, but these don't include the betas, which actually is visible only in the Announcement forum.

Please note that we also have released RailClone 2.7.5 with support of V-Ray 3.6. For customers who don't want to upgrade to RC3 yet.
« Last Edit: June 30, 2017, 05:42:36 PM by iToo »
Carlos Quintero
iToo Software

QE2393

  • Newbie
  • *
  • Posts: 21
Re: Railclone for Vray 3.6
« Reply #3 on: June 30, 2017, 05:27:10 PM »
Thank you Carlos. 

Rokas

  • Sr. Member
  • ****
  • Posts: 406
Re: Railclone for Vray 3.6
« Reply #4 on: July 10, 2017, 09:19:45 AM »
Please note that we also have released RailClone 2.7.5 with support of V-Ray 3.6. For customers who don't want to upgrade to RC3 yet.

i get this message:


but renders seems ok at first glace. what is really not supported in vray 3.6

iToo

  • Administrator
  • Hero Member
  • *****
  • Posts: 3094
    • iToo Software
Re: Railclone for Vray 3.6
« Reply #5 on: July 10, 2017, 09:39:41 AM »
If you get that error, something is wrong, and RC is rendering without instancing.

What Max version ? Can you see RailCloneVRay36.dll in the Max root folder ?
Carlos Quintero
iToo Software

Rokas

  • Sr. Member
  • ****
  • Posts: 406
Re: Railclone for Vray 3.6
« Reply #6 on: July 10, 2017, 10:35:09 AM »
I dont have RC 2.7.5 I am still with  2.7.4.
I been waiting for V3 release before I continue my license. But if things start to break with vRay 3.6 I might update RC sooner.

iToo

  • Administrator
  • Hero Member
  • *****
  • Posts: 3094
    • iToo Software
Re: Railclone for Vray 3.6
« Reply #7 on: July 10, 2017, 12:12:36 PM »
Yes, V-Ray 3.6 breaks SDK compatiblity with previous versions and require a new DLL.
For this reason we released RC 2.7.5, although initially were not planned more updates for RC2.
Carlos Quintero
iToo Software

trimitek

  • Newbie
  • *
  • Posts: 27
    • My models @ TurboSquid
Re: Railclone for Vray 3.6
« Reply #8 on: July 10, 2017, 02:33:25 PM »
Maybe this is not exactly for this thread, but creating new one is probably not necessary.
Is it possible that the UVW XForm operator is broken in v2.7.5?
It looks like whatever parameter I change in it doesn't have any effect at all.
Is it safe to install and work with the latest v3 beta?

P.S. Just realized that the Mapping in Segment>Properties>Deform is also not working.
(3DSMax2013 x64)
« Last Edit: July 10, 2017, 04:20:10 PM by trimitek »

iToo

  • Administrator
  • Hero Member
  • *****
  • Posts: 3094
    • iToo Software
Re: Railclone for Vray 3.6
« Reply #9 on: July 11, 2017, 11:46:59 AM »
I've done a quick test, and mapping seems to work fine. Please, upload a test scene to check it.
As far as i remember, we have not done changes that would affect to UVW. It was basically a recompilation for V-Ray 3.6.

Regarding RC3 beta, we have plans to release the final version this week. There are little changes respect to the beta, but i suggest to wait to the final package.
Carlos Quintero
iToo Software

trimitek

  • Newbie
  • *
  • Posts: 27
    • My models @ TurboSquid
Re: Railclone for Vray 3.6
« Reply #10 on: July 11, 2017, 01:15:01 PM »
Thank you for the reply Carlos.
Seems like there is something wrong with the scene, because as soon as I import it in a new file, mapping is starting to work fine.
Attaching you the scene so you can investigate (if needed).
« Last Edit: July 11, 2017, 01:21:04 PM by trimitek »

trimitek

  • Newbie
  • *
  • Posts: 27
    • My models @ TurboSquid
Re: Railclone for Vray 3.6
« Reply #11 on: July 11, 2017, 01:23:57 PM »
Actually, I just found what is causing it.
It happens when the rendering engine is switched to VrayRT.

P.S. Correction: I was switching the rendering engine by using a saved preset.
If it's switched manually the scene stays intact.

P.S.S. Correction of the correction: Even if it's switched manually, mapping stops working as soon as I hit [Render] and cancel it afterwards.
« Last Edit: July 11, 2017, 01:44:04 PM by trimitek »

Michal Karmazín

  • iToo Software
  • Hero Member
  • *****
  • Posts: 1396
Re: Railclone for Vray 3.6
« Reply #12 on: July 12, 2017, 02:11:02 PM »
Hi,

Well, as you can see in the Feature Compatibility table, some of features (like Material / UVW XForm Operators) that aren't "fully supported on V-Ray RT" can be enabled by turning off the instancing engine.

On the V-Ray Adv you shouldn't face these troubles. As we can't reproduce any similar problem with the provided scene, would you mind to specify winch V-Ray release are you using? Thanks in advance.

Best regards,

trimitek

  • Newbie
  • *
  • Posts: 27
    • My models @ TurboSquid
Re: Railclone for Vray 3.6
« Reply #13 on: July 12, 2017, 02:27:21 PM »
Thanks for the tip Michal,
I didn't know that some operators don't work in V-Ray RT.
Yes, everything works fine when I switch to V-Ray Adv.
I use the latest versions 3.60.01